from mc_emma import *

ap = 8.
rep = [1,1,1]


A1=read("A1.cif")
A2=read("A2.cif")
A3=read("A3.cif")
A4=read("A4.cif")
A5=read("A5.cif")
A6=read("A6.cif") 
A7=read("A7.cif")
A8=read("A8.cif")
A9=read("A9.cif")

B1=read("A1.cif")
B1.translate([ap/4,ap/4,0])
B2=read("A2.cif")
B2.translate([ap/4.,ap/4.,0])
B3=read("A3.cif")
B3.translate([ap/4.,ap/4.,0])
B4=read("A4.cif")
B4.translate([ap/4.,ap/4.,0])
B5=read("A5.cif")
B5.translate([ap/4.,ap/4.,0])
B6=read("A6.cif") 
B6.translate([ap/4.,ap/4.,0])
B7=read("A7.cif")
B7.translate([ap/4.,ap/4.,0])
B8=read("A8.cif")
B8.translate([ap/4.,ap/4.,0])
B9=read("A9.cif")
B9.translate([ap/4.,ap/4.,0])

AMods=[A1,A2,A3,A4,A5,A6,A7,A8,A9]
BMods=[B1,B2,B3,B4,B5,B6,B7,B8,B9]

mc(startup=2,res='T',sl=range(1,13),A_Mods={'orthorhombic':AMods},B_Mods={'orthorhombic':BMods},output='full',charges={"O":-2,"Y":3,"Ti":4,"Ba":2},
kwds=['opti','conp','conj'],opts=['library library.lib \ndump temp.res \nstepmax 0.05 \nmaxcyc 100'],shel={"Ba":0}
,smax=5,smin=576,rmax=144,check='T',all_out='T',ratt_dist=0.05,composition={'Y':1.0,'Ti':1.0,'Ba':2.0,'O':5.5},red_T=0.01,delay = 0 
,pert = (
['T1',20],
['T2',15],
['T3',15],
['T4',10],
['T5',5],
['T6',5],),
r_gulp=True,
r_kwrds='opti conp lbfgs\n',
r_opts='\nlibrary library.lib \ndump temp.res\nmaxcyc 10000\nlbfgs_order 12800\ngtol 0.075\nxtol 0.075\nftol 0.075\ngmax 0.075',
target='temp.res',
restart='restart.res',
head='head.txt'
)

